/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/


using FairyGUI;
using FairyGUI.Utils;
using NBC;

namespace NBF
{
    public partial class MarqueeTag
    {
        public const string URL = "ui://6hgkvlaulvqll9";

        public GRichTextField TextContent1;
        public GRichTextField TextContent2;

        public override void ConstructFromXML(XML xml)
        {
            base.ConstructFromXML(xml);

            TextContent1 = (GRichTextField)GetChild("TextContent1");
            TextContent2 = (GRichTextField)GetChild("TextContent2");
            OnInited();
            UILanguage.TrySetComponentLanguage(this);
        }
    }
}